Stores (GWT Maven Archetype 1.5.0-SNAPSHOT API)
Date: 2014-05-31

org.gcube.messaging.accounting.nodeaccountingportlet.client

## Class Stores

- java.lang.Object
- - org.gcube.messaging.accounting.nodeaccountingportlet.client.Stores

-     public class Stores
      extends Object

  Author:
    Andrea Manzi(CERN)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Stores()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.gcube.portlets.widgets.gcubelivegrid.client.data.BufferedStore` | `getStatisticStore(GlobalInfo info)`
    `static org.gcube.portlets.widgets.gcubelivegrid.client.data.BufferedStore` | `getStore(GlobalInfo info)`
    `static org.gcube.portlets.widgets.gcubelivegrid.client.data.BufferedStore` | `initStatisticStore(String url, com.gwtext.client.data.RecordDef recordDef)`
    `static org.gcube.portlets.widgets.gcubelivegrid.client.data.BufferedStore` | `initStore(String url, com.gwtext.client.data.RecordDef recordDef)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Stores

          public Stores()

  - ### Method Detail

    - #### getStore

          public static org.gcube.portlets.widgets.gcubelivegrid.client.data.BufferedStore getStore(GlobalInfo info)

    - #### getStatisticStore

          public static org.gcube.portlets.widgets.gcubelivegrid.client.data.BufferedStore getStatisticStore(GlobalInfo info)

    - #### initStore

          public static org.gcube.portlets.widgets.gcubelivegrid.client.data.BufferedStore initStore(String url,
                                                                                     com.gwtext.client.data.RecordDef recordDef)

    - #### initStatisticStore

          public static org.gcube.portlets.widgets.gcubelivegrid.client.data.BufferedStore initStatisticStore(String url,
                                                                                              com.gwtext.client.data.RecordDef recordDef)

Copyright © 2014. All Rights Reserved.